/*
**
**                           Main.c
**
**
**********************************************************************/
/*
   Last committed:     $Revision: 00 $
   Last changed by:    $Author: $
   Last changed date:  $Date:  $
   ID:                 $Id:  $

**********************************************************************/
#include "stm32f10x_conf.h"

extern uint32_t SystemCoreClock;
static uint32_t Delay_ms;

void DWT_Init(void)
{
    CoreDebug->DEMCR |= CoreDebug_DEMCR_TRCENA_Msk;
    DWT->CTRL |= DWT_CTRL_CYCCNTENA_Msk;
    Delay_ms = SystemCoreClock / 1000;    //     .
}

void DWT_Delay_ms(uint32_t ms) //  
{
    uint32_t Count = DWT->CYCCNT;
    ms = ms * Delay_ms;
    while((DWT->CYCCNT - Count) < ms);
}


int main(void)
{
    SystemCoreClockUpdate();
    DWT_Init();

    RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOC, ENABLE);

    {
        GPIO_InitTypeDef gpio;

        gpio.GPIO_Pin = GPIO_Pin_13;
        gpio.GPIO_Mode = GPIO_Mode_Out_PP;
        gpio.GPIO_Speed = GPIO_Speed_50MHz;

        GPIO_Init(GPIOC, &gpio);
    }

    while(1)
    {
        GPIO_SetBits(GPIOC, GPIO_Pin_13);
        DWT_Delay_ms(500);
        GPIO_ResetBits(GPIOC, GPIO_Pin_13);
        DWT_Delay_ms(500);
    }
}
